import { ObjectCannedACL } from '@aws-sdk/client-s3';
import { Interfaces } from '@oclif/core';
export declare const TARGETS: string[];
export type S3Config = {
    acl?: ObjectCannedACL;
} & {
    folder?: string;
    indexVersionLimit?: number;
} & BuildConfig['updateConfig']['s3'];
export type UpdateConfig = {
    s3?: {
        acl?: ObjectCannedACL;
    } & Interfaces.S3;
} & Interfaces.OclifConfiguration['update'];
export type BuildConfig = {
    config: Interfaces.Config;
    dist(input: string): string;
    gitSha: string;
    nodeOptions: string[];
    nodeVersion: string;
    root: string;
    s3Config: S3Config;
    targets: {
        arch: Interfaces.ArchTypes;
        platform: Interfaces.PlatformTypes;
    }[];
    tmp: string;
    updateConfig: UpdateConfig;
    workspace(target?: {
        arch: Interfaces.ArchTypes;
        platform: Interfaces.PlatformTypes;
    }): string;
    xz: boolean;
};
export declare function gitSha(cwd: string, options?: {
    short?: boolean;
}): Promise<string>;
export declare function buildConfig(root: string, options?: {
    targets?: string[];
    xz?: boolean;
}): Promise<BuildConfig>;
